function FileData_Pairs(x)
{
x.t("example","mdb");
x.t("url=tcp://7222","create");
x.t("url=tcp://7222","backup");
x.t("transactions","(xa)");
x.t("transactions","information");
x.t("below","substitute");
x.t("properties","java.naming.security.principal=jbosslookup");
x.t("rather","rename");
x.t("provideradapterclass","org.jboss.jms.jndi.jndiprovideradapter");
x.t("queuefactoryref","/res-name");
x.t("queuefactoryref","xaqueueconnectionfactory");
x.t("queuefactoryref","/resource-name");
x.t("java.naming.factory.url.pkgs=org.jboss.naming:org.jnp.interfaces","java.naming.factory.url.pkgs=org.jboss.naming:org.jnp.interfaces:com.tibco.tibjms.n");
x.t("/jmsprovideradapterjndi","change");
x.t("/jmsprovideradapterjndi","jmsprovideradapterjndi");
x.t("console","queues");
x.t("files","jboss_deploy");
x.t("files","needed");
x.t("files","changed");
x.t("files","place");
x.t("files","directory");
x.t("codebase=","file:/");
x.t("shown","change");
x.t("/resource-manager","/resource-managers");
x.t("create","queue");
x.t("create","three");
x.t("create","factory");
x.t("rename","files");
x.t("mdb-output","\\meta-inf\\jboss.xml");
x.t("beans","tx-connection-factory");
x.t("jms-ra.rar","/rar-name");
x.t("name=","properties");
x.t("name=","provideradapterclass");
x.t("name=","queuefactoryref");
x.t("name=","jmsprovideradapterjndi");
x.t("name=","topicfactoryref");
x.t("name=",":service=jmsproviderloader");
x.t("name=","providername");
x.t("name=","sessiondefaulttype");
x.t("\\lib","archives=");
x.t("mbean","code=");
x.t("mbean","load");
x.t("resemble","lines");
x.t("/attribute","attribute");
x.t("/attribute","/mbean");
x.t("xa-transaction/","rar-name");
x.t("/res-name","res-jndi-name");
x.t("user","connects");
x.t("urlconnectionfactory","therefore");
x.t("uses","container-managed");
x.t("factories","create");
x.t("factories","xaqueueconnectionfactory");
x.t("connectionfactory","/jndi-name");
x.t("line","change");
x.t("program","invokes");
x.t("program","previous");
x.t("program","run");
x.t("working","using");
x.t("jboss_deploy","\\jms\\jbossmq-destinations-service.xml");
x.t("jboss_deploy","directory");
x.t("jboss_deploy","\\jms\\jbossmq-service.xml");
x.t("jboss_deploy","\\jms\\jms-ds.xml");
x.t("deploy","files");
x.t("extension","add");
x.t("transacted","jms");
x.t("change","java.naming.factory.url.pkgs=org.jboss.naming:org.jnp.interfaces");
x.t("change","jboss");
x.t("change","modifies");
x.t("change","jmsprovideradapterjndi");
x.t("change","sets");
x.t("/mdb-user","mdb-passwd");
x.t("authenticate","mdb");
x.t("tibemsd","server");
x.t("connection","factories");
x.t("connection","factory");
x.t("xatopicconnectionfactory","/attribute");
x.t("xatopicconnectionfactory","entering");
x.t("xatopicconnectionfactory","xatopic");
x.t("regardless","name");
x.t("java.naming.factory.initial=com.tibco.tibjms.naming.tibjmsinitialcontextfactory","add");
x.t("java.naming.factory.initial=com.tibco.tibjms.naming.tibjmsinitialcontextfactory","java.naming.factory.url.pkgs=com.tibco.tibjms.naming");
x.t("jboss","enterprise-beans");
x.t("jboss","edit");
x.t("jboss","resource-managers");
x.t("jboss","attempts");
x.t("jboss","classpath");
x.t("jboss","4.0.2");
x.t("jboss","server");
x.t("tibemsadmin","console");
x.t("tibemsadmin","connect");
x.t("queue","connection");
x.t("queue","queue/dlq");
x.t("queue","queue/a");
x.t("queue","queue/b");
x.t("reconfigure","jmsproviderloader");
x.t("reconfigure","mdb");
x.t("org.jboss.jms.jndi.jndiprovideradapter","/attribute");
x.t("property","java.naming.factory.initial=com.tibco.tibjms.naming.tibjmsinitialcontextfactory");
x.t("property","jms");
x.t("/tx-connection-factory","reconfigure");
x.t("needed","using");
x.t("start","tibemsd");
x.t("element","file");
x.t("jms","beans");
x.t("jms","provider");
x.t("jms","resource");
x.t("/rar-name","connection-definition");
x.t("security-domain-and-application","jmsxarealm");
x.t("enterprise-beans","message-driven");
x.t("entering","following");
x.t("entering","run");
x.t("file","mdb-output");
x.t("file","extension");
x.t("file","jboss_deploy");
x.t("file","jboss_conf");
x.t("file","classpath");
x.t("file","modify");
x.t("able","find");
x.t("enterprise","message");
x.t("container-managed","transactions");
x.t("add","ems_home");
x.t("add","tibco");
x.t("add","following");
x.t("ems","mdbuser");
x.t("ems","tibco");
x.t("ems","adapter");
x.t("ems","server");
x.t("jar","file");
x.t("/connection-definition","config-property");
x.t("/security-domain-and-application","/tx-connection-factory");
x.t("mdbuser","/mdb-user");
x.t("mdbuser","mdbpassword");
x.t("mdbuser","password");
x.t("jndi-name","connectionfactory");
x.t("jndi-name","jmsxa");
x.t("java.lang.string","java:/tibcojmsprovider");
x.t("java.lang.string","javax.jms.topic");
x.t("queues","connection");
x.t("queues","queue/a");
x.t("java.naming.provider.url=tibjmsnaming://localhost:7222","/attribute");
x.t("resource-manager","res-name");
x.t("\\jndi.properties","follows");
x.t("\\jndi.properties","tibco");
x.t("name","file");
x.t("name","move");
x.t("java:/tibcojmsprovider","/config-property");
x.t("connects","ems");
x.t("changed","jboss_deploy");
x.t("edit","file");
x.t("resource-ref","res-ref-name");
x.t("mdbpassword","/mdb-passwd");
x.t("mdbpassword","used");
x.t("follows","change");
x.t("stop","jboss");
x.t("provider","connection");
x.t("provider","loader");
x.t("provider","adapter");
x.t("jmsxa","/jndi-name");
x.t("ejb-name","textmdb");
x.t("resource-managers","resource-manager");
x.t("integrating","jboss");
x.t("modifies","mdb");
x.t("place","jboss");
x.t("ems_home","\\lib");
x.t("ems_home","\\lib\\tibjms.jar");
x.t("/destination-jndi-name","resource-ref");
x.t("/destination-jndi-name","mdb-user");
x.t("find","tibco");
x.t("restart","entering");
x.t("jboss_conf","\\jndi.properties");
x.t("jboss_conf","\\standardjboss.xml");
x.t("jboss_conf","\\jboss-service.xml");
x.t("attempts","deploy");
x.t("modifying","file");
x.t("res-ref-name","jms/qcf");
x.t("lines","jms");
x.t("lines","omitted");
x.t("lines","server");
x.t("jmsprovideradapterjndi","property");
x.t("jmsprovideradapterjndi","tibcojmsprovider");
x.t("jmsprovideradapterjndi","type=");
x.t("jmsprovideradapterjndi","defaultjmsprovider");
x.t("sets","tibcojmsprovider");
x.t("three","queues");
x.t("attribute","name=");
x.t("java.naming.security.principal=jbosslookup","java.naming.security.credentials=jbosslookup");
x.t("resource","adapter");
x.t("jndi","name");
x.t("jndi","tibco");
x.t("jndi","encounters");
x.t("jndi","setting");
x.t("jndi","server");
x.t("commands","tibemsadmin");
x.t("backup","copy");
x.t("java:/jmsxa","/res-jndi-name");
x.t("deployed","jboss_deploy");
x.t("invokes","jndi");
x.t("code=","org.jboss.jms.jndi.jmsproviderloader");
x.t("org.jboss.jms.jndi.jmsproviderloader","name=");
x.t("\\jms\\jbossmq-destinations-service.xml","stop");
x.t("queue/dlq","create");
x.t("queue/dlq","two");
x.t("\\standardjboss.xml","mdb-output");
x.t("\\standardjboss.xml","file");
x.t("file:/","ems_home");
x.t("/mbean","add");
x.t("message-driven","ejb-name");
x.t("/resource-managers","enterprise-beans");
x.t("chapter","integrating");
x.t("java.naming.factory.url.pkgs=org.jboss.naming:org.jnp.interfaces:com.tibco.tibjms.n","aming");
x.t("move","following");
x.t("\\lib\\tibjms.jar","classpath");
x.t("instead","jboss");
x.t("directory","rather");
x.t("directory","files");
x.t("directory","regardless");
x.t("directory","directory");
x.t("directory","configuration");
x.t("/mdb-passwd","resource-ref");
x.t("section","output");
x.t("\\jboss-service.xml","jboss_conf");
x.t("\\jboss-service.xml","tibco");
x.t("\\jboss-service.xml","described");
x.t("/ejb-name","destination-jndi-name");
x.t("omitted","jboss");
x.t("loader","mbean");
x.t("reference","tibco");
x.t("client","program");
x.t("jboss_client","\\jndi.properties");
x.t("jmsxarealm","/security-domain-and-application");
x.t("/jboss","change");
x.t("/jboss","jboss");
x.t("disabled","server");
x.t("tibco","enterprise");
x.t("tibco","ems");
x.t("tibco","software");
x.t("message","service");
x.t("\\meta-inf\\jboss.xml","shown");
x.t("\\meta-inf\\jboss.xml","copy");
x.t("/message-driven","/enterprise-beans");
x.t("authorization","disabled");
x.t("previous","section");
x.t("xaqueueconnectionfactory","/attribute");
x.t("xaqueueconnectionfactory","xatopicconnectionfactory");
x.t("xaqueueconnectionfactory","xaqueue");
x.t("tibcojmsprovider","/jmsprovideradapterjndi");
x.t("tibcojmsprovider","/attribute");
x.t("tibcojmsprovider","resemble");
x.t("tibcojmsprovider","jms");
x.t("encounters","tibjmsnaming");
x.t("\\jms\\jbossmq-service.xml","jboss_deploy");
x.t("\\jms\\jms-ds.xml","resemble");
x.t("\\jms\\jms-ds.xml","change");
x.t("\\jms\\jms-ds.xml","jboss_conf");
x.t("javax.jms.topic","/config-property");
x.t("tibjmsnaming","scheme");
x.t("factory","xatopicconnectionfactory");
x.t("factory","ems");
x.t("factory","edit");
x.t("factory","reference");
x.t("factory","xaqueueconnectionfactory");
x.t("configuration","files");
x.t("topicfactoryref","xatopicconnectionfactory");
x.t("/res-jndi-name","/resource-manager");
x.t("scheme","server");
x.t("(xa)","start");
x.t("mdb-passwd","mdbpassword");
x.t("classpath","codebase=");
x.t("classpath","jboss");
x.t("classpath","client");
x.t("classpath","classpath");
x.t("classpath","installation");
x.t("type=","java.lang.string");
x.t("substitute","appropriate");
x.t("config-property","name=");
x.t("/max-pool-size","security-domain-and-application");
x.t("queue/a","create");
x.t("queue/a","queue/b");
x.t("separate","directory");
x.t("output","tibco");
x.t("4.0.2","example");
x.t("information","container-managed");
x.t("queue/b","create");
x.t("queue/b","/destination-jndi-name");
x.t("queue/b","queue/dlq");
x.t("name=tibjmsprovider","attribute");
x.t("tx-connection-factory","jndi-name");
x.t("res-jndi-name","java:/jmsxa");
x.t("appropriate","jar");
x.t("/config-property","config-property");
x.t("/config-property","max-pool-size");
x.t("xatopic","url=tcp://7222");
x.t("jmsproviderloader","mbean");
x.t("java.naming.security.credentials=jbosslookup","java.naming.factory.initial=com.tibco.tibjms.naming.tibjmsinitialcontextfactory");
x.t("org.jboss.resource.adapter.jms.jmsconnectionfactory","/connection-definition");
x.t("textmdb","/ejb-name");
x.t("described","below");
x.t("max-pool-size","/max-pool-size");
x.t("/resource-ref","/message-driven");
x.t("two","connection");
x.t("connection-definition","org.jboss.resource.adapter.jms.jmsconnectionfactory");
x.t("copy","files");
x.t("copy","separate");
x.t(":service=jmsproviderloader","name=tibjmsprovider");
x.t("res-name","queuefactoryref");
x.t("aming","jboss_conf");
x.t("service","example");
x.t("service","urlconnectionfactory");
x.t("service","jms");
x.t("service","edit");
x.t("service","jndi");
x.t("service","chapter");
x.t("service","instead");
x.t("service","classpath");
x.t("service","therefore");
x.t("following","files");
x.t("following","line");
x.t("following","property");
x.t("following","lines");
x.t("following","commands");
x.t("/res-ref-name","jndi-name");
x.t("/res-ref-name","resource-name");
x.t("/resource-name","/resource-ref");
x.t("used","authenticate");
x.t("run","client");
x.t("using","tibco");
x.t("connect","create");
x.t("xaqueue","url=tcp://7222");
x.t("class","jboss");
x.t("installation","add");
x.t("java.naming.factory.url.pkgs=com.tibco.tibjms.naming","java.naming.provider.url=tibjmsnaming://localhost:7222");
x.t("setting","following");
x.t("mdb","user");
x.t("mdb","uses");
x.t("mdb","working");
x.t("mdb","queue");
x.t("mdb-user","mdbuser");
x.t("password","lines");
x.t("tibjms.jar","reconfigure");
x.t("load","tibco");
x.t("providername","tibcojmsprovider");
x.t("therefore","deployed");
x.t("therefore","modify");
x.t("modify","file");
x.t("modify","jboss_client");
x.t("modify","following");
x.t("adapter","transacted");
x.t("adapter","jndi");
x.t("adapter","tibcojmsprovider");
x.t("adapter","class");
x.t("archives=","tibjms.jar");
x.t("/jndi-name","xa-transaction/");
x.t("/jndi-name","/resource-ref");
x.t("destination-jndi-name","queue/b");
x.t("/enterprise-beans","/jboss");
x.t("resource-name","queuefactoryref");
x.t("defaultjmsprovider","/jmsprovideradapterjndi");
x.t("server","tibemsadmin");
x.t("server","element");
x.t("server","able");
x.t("server","mdbuser");
x.t("server","restart");
x.t("server","modifying");
x.t("server","invokes");
x.t("server","authorization");
x.t("server","modify");
x.t("rar-name","jms-ra.rar");
x.t("sessiondefaulttype","type=");
x.t("jms/qcf","/res-ref-name");
}
